package com.ssm.model.system;

import java.util.Date;
import java.util.List;

import com.ssm.util.page.BaseEntity;

/**
 * 部门 和 职位  一对多 关联 
 * 因此加个 list<position> 属性，并在 mapper 里配置 
 * @author Administrator
 *
 */
public class SysDepartment extends BaseEntity{
	
    /**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	private Integer depid;

    private String depcode;

    private Integer createduserid;

    private Date createddatetime;

    private Integer lastupdateuserid;

    private Date lastupdatedatetime;

    private String depname;

    private Integer languagetype;

    private Integer parentid;

    private Boolean isdeleted;

    private String deptrolecode;
    
    private List<SysPosition> positions;
    
    private Integer level;
    
    private Integer departmentid;
    

	public Integer getDepartmentid() {
		return departmentid;
	}

	public void setDepartmentid(Integer departmentid) {
		this.departmentid = departmentid;
	}

	private List<SysDepartment> childSysDepartment;
    
    
    public List<SysDepartment> getChildSysDepartment() {
		return childSysDepartment;
	}

	public void setChildSysDepartment(List<SysDepartment> childSysDepartment) {
		this.childSysDepartment = childSysDepartment;
	}

	public Integer getLevel() {
		return level;
	}

	public void setLevel(Integer level) {
		this.level = level;
	}

	public Integer getDepid() {
        return depid;
    }

    public void setDepid(Integer depid) {
        this.depid = depid;
    }

    public String getDepcode() {
        return depcode;
    }

    public void setDepcode(String depcode) {
        this.depcode = depcode == null ? null : depcode.trim();
    }

    public Integer getCreateduserid() {
        return createduserid;
    }

    public void setCreateduserid(Integer createduserid) {
        this.createduserid = createduserid;
    }

    public Date getCreateddatetime() {
        return createddatetime;
    }

    public void setCreateddatetime(Date createddatetime) {
        this.createddatetime = createddatetime;
    }

    public Integer getLastupdateuserid() {
        return lastupdateuserid;
    }

    public void setLastupdateuserid(Integer lastupdateuserid) {
        this.lastupdateuserid = lastupdateuserid;
    }

    public Date getLastupdatedatetime() {
        return lastupdatedatetime;
    }

    public void setLastupdatedatetime(Date lastupdatedatetime) {
        this.lastupdatedatetime = lastupdatedatetime;
    }

    public String getDepname() {
        return depname;
    }

    public void setDepname(String depname) {
        this.depname = depname == null ? null : depname.trim();
    }

    public Integer getLanguagetype() {
        return languagetype;
    }

    public void setLanguagetype(Integer languagetype) {
        this.languagetype = languagetype;
    }

    public Integer getParentid() {
        return parentid;
    }

    public void setParentid(Integer parentid) {
        this.parentid = parentid;
    }

    public Boolean getIsdeleted() {
        return isdeleted;
    }

    public void setIsdeleted(Boolean isdeleted) {
        this.isdeleted = isdeleted;
    }

    public String getDeptrolecode() {
        return deptrolecode;
    }

    public void setDeptrolecode(String deptrolecode) {
        this.deptrolecode = deptrolecode == null ? null : deptrolecode.trim();
    }

	public List<SysPosition> getPositions() {
		return positions;
	}

	public void setPositions(List<SysPosition> positions) {
		this.positions = positions;
	}
    
    
}